Package org.eclipse.emf.cdo.common.protocol

## Enum CDOProtocolConstants.UnitOpcode

- java.lang.Object
- - java.lang.Enum<CDOProtocolConstants.UnitOpcode>
  - - org.eclipse.emf.cdo.common.protocol.CDOProtocolConstants.UnitOpcode

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<CDOProtocolConstants.UnitOpcode>`
  Enclosing interface:
    CDOProtocolConstants

      public static enum CDOProtocolConstants.UnitOpcode
      extends java.lang.Enum<CDOProtocolConstants.UnitOpcode>

  Since:
    4.5
  Author:
    Eike Stepper

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `CHECK` |
    `CLOSE` |
    `CREATE` |
    `CREATE_AND_OPEN` |
    `OPEN` |
    `OPEN_DEMAND_CREATE` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `isCreate()` |
    `boolean` | `isOpen()` |
    `static CDOProtocolConstants.UnitOpcode` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static CDOProtocolConstants.UnitOpcode[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CHECK

          public static final CDOProtocolConstants.UnitOpcode CHECK

    - #### CREATE

          public static final CDOProtocolConstants.UnitOpcode CREATE

    - #### CREATE_AND_OPEN

          public static final CDOProtocolConstants.UnitOpcode CREATE_AND_OPEN

    - #### OPEN

          public static final CDOProtocolConstants.UnitOpcode OPEN

    - #### OPEN_DEMAND_CREATE

          public static final CDOProtocolConstants.UnitOpcode OPEN_DEMAND_CREATE

    - #### CLOSE

          public static final CDOProtocolConstants.UnitOpcode CLOSE

  - ### Method Detail

    - #### values

          public static CDOProtocolConstants.UnitOpcode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CDOProtocolConstants.UnitOpcode c : CDOProtocolConstants.UnitOpcode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CDOProtocolConstants.UnitOpcode valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### isCreate

          public boolean isCreate()

    - #### isOpen

          public boolean isOpen()